Main Page Namespace List Compound List File List Namespace Members Compound Members

# iModule.h File Reference

Interface for a firmware module on a LEGO MINDSTORMS NXT. More...

`#include "platform.h"`
`#include "tStatus.h"`

Go to the source code of this file.

## Namespaces

namespace | nFANTOM100

## Compounds

class | nFANTOM100::iModule
| Interface to a firmware module on a LEGO MINDSTORMS NXT. More...

## Typedefs

typedef ViObject | nFANTOM100_iModule

## Functions

nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iModule_getName (nFANTOM100_iModule modulePtr, ViChar moduleName[], ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iModule_getModuleID (nFANTOM100_iModule modulePtr, ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iModule_getModuleSize (nFANTOM100_iModule modulePtr, ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iModule_getIOMapSize (nFANTOM100_iModule modulePtr, ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iModule_readIOMap (nFANTOM100_iModule modulePtr, ViUInt32 offset, ViUInt32 numberBytesToRead, ViPBuf dataBuffer, ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iModule_writeIOMap (nFANTOM100_iModule modulePtr, ViUInt32 offset, ViUInt32 numberBytesToWrite, const ViByte dataBuffer[], ViStatus *status)

## Detailed Description

Interface for a firmware module on a LEGO MINDSTORMS NXT.

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.